#ifndef ULTRASONIC_H
#define ULTRASONIC_H

#include <nodelet/nodelet.h>
#include <ros/ros.h>
#include "boost/thread.hpp"
#include "USS_SRF02.h"

namespace car
{
	class Ultrasonic : public USS_SRF02, 
                       public nodelet::Nodelet
	{
		public:
			virtual void onInit();
			Ultrasonic(ros::NodeHandle &nh, std::string &name);
			Ultrasonic();
			~Ultrasonic();
		private:
			ros::NodeHandle nh_;
			std::string name_;
			ros::Publisher ussData;
      boost::thread main;
	};
}
#endif
